//
// Copyright (c) 2021, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Tools.ShapeDesigner
{
	public delegate void GrigValueChanged(object sender, EventArgs e);

	/// <summary>
	/// Summary description for GridSizeForm.
	/// </summary>
	public partial class GridSizeForm : Form
	{
		public GridSizeForm(string title, string label)
		{
			InitializeComponent();
			buttonGridSpacing.DialogResult = DialogResult.OK;
			Text = title;
			label1.Text = label;
		}

		public decimal Value
		{
			get { return gridSizeUpDown.Value; }
			set { gridSizeUpDown.Value = value; }
		}

		public decimal Maximum
		{
			get { return gridSizeUpDown.Maximum; }
			set { gridSizeUpDown.Maximum = value; }
		}
	}
}